Subject: [Teas] Suresh Krishnan's Discuss on draft-ietf-teas-gmpls-scsi-03: (with DISCUSS)

From: Suresh Krishnan <[email-masked]>
Date: Wed, 02 Aug 2017 16:11:58 -0700

Suresh Krishnan has entered the following ballot position for
draft-ietf-teas-gmpls-scsi-03: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-teas-gmpls-scsi/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

I do have a concern about error handling that should be pretty simple to fix.

* Section 3

The document needs to specify the error handling on the receiver when the
SCSI-TLV length is not a multiple of 4 octets. Are the following SCSI-TLVs
processed or is everything ignored? Is there an error message sent?

---

From: Daniele Ceccarelli <[email-masked]>
Date: Thu, 3 Aug 2017 08:08:06 +0000

Hi Suresh,

thanks for your review.

The GMPLS SCSI is a sub-TLV of the ISCD (interface switching capability descriptor-RFC4203), which in turn is a sub TLV of the Link TLV (RFC3630) ... yes we like nesting in GMPLS 😊

RFC 3630 (section 2.4.2.) says: " Unrecognized sub-TLVs are ignored."

It seems obvious but it took me a while to go back to the root of the problem, hence few words  would help the reader. How about something along the lines of:

"Malformed packets should be treated accordingly with error handling procedures defined in RFC3630." ?

Cheers
Daniele  

-----Original Message-----
From: Suresh Krishnan [mailto:[email-masked]] 
Sent: giovedì 3 agosto 2017 01:12
To: The IESG <[email-masked]>
Cc: [email-masked]; Vishnu Beeram <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
Subject: Suresh Krishnan's Discuss on draft-ietf-teas-gmpls-scsi-03: (with DISCUSS)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

* Section 3

The document needs to specify the error handling on the receiver when the SCSI-TLV length is not a multiple of 4 octets. Are the following SCSI-TLVs processed or is everything ignored? Is there an error message sent?

---

From: Daniele Ceccarelli <[email-masked]>
Date: Thu, 3 Aug 2017 08:21:43 +0000

Hi Suresh,

Re-reading the draft it seems it's already covered by this statement:

"Size and other formatting restrictions may be imposed by the routing
        protocol ISCD field, refer to <xref target="RFC4203"/> and <xref
        target="RFC5307"/>."

Would you like it to be made more explicit?

Cheers
Daniele  

-----Original Message-----
From: Daniele Ceccarelli [mailto:[email-masked]] 
Sent: giovedì 3 agosto 2017 10:08
To: Suresh Krishnan <[email-masked]>; The IESG <[email-masked]>
Cc: [email-masked]; Vishnu Beeram <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
Subject: RE: Suresh Krishnan's Discuss on draft-ietf-teas-gmpls-scsi-03: (with DISCUSS)

Hi Suresh,

thanks for your review.

Cheers
Daniele  

-----Original Message-----
From: Suresh Krishnan [mailto:[email-masked]] 
Sent: giovedì 3 agosto 2017 01:12
To: The IESG <[email-masked]>
Cc: [email-masked]; Vishnu Beeram <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
Subject: Suresh Krishnan's Discuss on draft-ietf-teas-gmpls-scsi-03: (with DISCUSS)

* Section 3

---

From: Suresh Krishnan <[email-masked]>
Date: Thu, 3 Aug 2017 10:05:41 -0400

Hi Daniele,

> On Aug 3, 2017, at 4:21 AM, Daniele Ceccarelli <[email-masked]> wrote:
> 
> Hi Suresh,
> 
> "Malformed packets should be treated accordingly with error handling procedures defined in RFC3630.” ?

…

> Would you like it to be made more explicit?

Yes. Please. I personally think ignoring a length error as an unrecognized TLV and moving on is not preferable, but I am happy to step aside if that decision is explicitly made.

Regards
Suresh

---

From: Daniele Ceccarelli <[email-masked]>
Date: Tue, 22 Aug 2017 09:44:37 +0000

Hi Suresh,

sorry for the delay in answering.
I modified the text as follows: 

        The Generalized SCSI is composed of zero or more variable length
        type-length-value fields which are each called a SCSI-TLV.
        There are no specific size restrictions on these SCSI-TLV.  Size
        and other formatting restrictions may be imposed by the routing
        protocol ISCD field, refer to <xref target="RFC4203"/> and <xref
        target="RFC5307"/>. Please also refer to <xref target="RFC3630"/> for
        the treatment of malformed Link TLVs.

How to manage malformed Link TLVs is already described in RFC3630.

Thanks
Daniele  

-----Original Message-----
From: Suresh Krishnan [mailto:[email-masked]] 
Sent: giovedì 3 agosto 2017 16:06
To: Daniele Ceccarelli <[email-masked]>
Cc: The IESG <[email-masked]>; [email-masked]; Vishnu Beeram <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: Suresh Krishnan's Discuss on draft-ietf-teas-gmpls-scsi-03: (with DISCUSS)

Hi Daniele,

…

Regards
Suresh

---

From: Suresh Krishnan <[email-masked]>
Date: Tue, 22 Aug 2017 09:08:02 -0400

Thanks Daniele.

Regards
Suresh

> On Aug 22, 2017, at 5:44 AM, Daniele Ceccarelli <[email-masked]> wrote:
> 
> Hi Suresh,
>